2017-07-22 11:01 AM - Nikolay Lebedev
Priority: Normal

Assignee:
Affected QGIS version:2.18.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24813

Description

When setting a dash pattern symbol the pattern gets uncontrollable when feature crosses canvas border. 

I suppose it gets rendered starting from a visible part of the feature.

Setting dash size in map units doesn't affect positioning.

Setting "Avoid artifacts when project is rendered as map tiles" doesn't help, though this is the expected behaviour.

So there is no precise control of what feature looks like, i.e. dashes move away from feature corners.

This video demonstrates the issue.

History

#1 - 2017-07-24 12:07 PM - Nikolay Lebedev

- File line_pattern_bug.mov added

Attached video if YouTube isn't availiable.

#2 - 2018-09-01 01:31 PM - Johannes Kroeger

Yes, this is due to the geometries being clipped off at the edges of the canvas.

I wonder if it would be possible to store the length of the clipped-off part to add an offset to the lines' starting point.

#3 - 2018-09-01 05:54 PM - Johannes Kroeger

- File x11grab.mp4 added

Quoting Nyall Dawson from https://issues.qgis.org/issues/16051:

This is caused by the automatic clipping of geometries to the canvas extent (+ a small buffer). You can prevent this by clicking the advanced button in

the symbol properties window, and uncheck "clip features to canvas extent".

This issue can be closed.

#4 - 2018-09-02 12:46 AM - Nyall Dawson

- Status changed from Open to Closed

#5 - 2018-09-02 04:42 PM - Giovanni Manghi
https://youtu.be/j33HLszXFJI
https://issues.qgis.org/issues/16051


- Resolution set to invalid

Files

line_pattern_bug.mov 2.81 MB 2017-07-24 Nikolay Lebedev

x11grab.mp4 126 KB 2018-09-01 Johannes Kroeger
